Subject: Re: bug#55933: Fails download of quix 1.3 virtual machine

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 11 Sep 2024 21:13:14 +0000

Hi Simon,

Thanks for hunting.

On 10 September 2024 16:05:40 UTC, Simon Tournier <[email-masked]> wrote:
>I get:
>
>--8<---------------cut here---------------start------------->8---
>$ curl -LI  https://ftp.gnu.org/gnu/guix/guix-system-install-1.3.0.x86_64-linux.qcow2 | grep Content-Type
>Content-Type: text/html; charset=iso-8859-1
>--8<---------------cut here---------------end--------------->8---
>
>Does it mean the issue is gone?

Nope.

I mean, if the server were now "actively* serving a gigabyte-plus VM image as HTML, the issue would be much worse...

However, it's serving HTML because that URL is now a 404 status page.  The qcow2 image has been deleted.

I'm a bit surprised by that.  I somewhat assumed that releases were kept forever.

Anyway, the original issue is unchanged:

$ curl -LI https://ftp.gnu.org/gnu/guix/guix-system-vm-image-1.3.0.x86_64-linux.qcow2 | grep Content-Type
X-Content-Type-Options: nosniff

Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.